Bug 71494 - eepro100 always stalls on certain NICs. Need e100 driver
eepro100 always stalls on certain NICs. Need e100 driver
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-08-14 07:57 EDT by xml
Modified: 2013-07-02 22:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-31 11:34:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description xml 2002-08-14 07:57:28 EDT
Description of Problem:

The eepro100 driver is known to have many problems on certain NICs. The usual
solution is to choose the Intel e100 driver which is already available in Limbo
and works 100% of the time (well, for me at least).

Version-Release number of selected component (if applicable):

The following NIC and many other similar ones:

02:08.0 Ethernet controller: Intel Corp. 82801CAM (ICH3) Chipset Ethernet
Controller (rev 41)

How Reproducible:


Steps to Reproduce:
1. Assign eth0 to eepro100 on, say, thinkpad X22/X23/X24
2. Use the net

Actual Results:

NIC stalls

Expected Results:

NIC shouldn't stall :)

Additional Information:

Also had problems stalling during a PXE installation, so it would
be good if the best driver is chosen early.

Other people with same problem and solution - 

Comment 1 Phil Knirsch 2002-08-14 08:12:03 EDT
Isn't that a driver problem? I'll reassign it to kernel, not sure if it should
be kudzu instead...

Read ya, Phil
Comment 2 xml 2002-08-14 08:17:01 EDT
> Isn't that a driver problem?

Wasn't sure where to put it. It causes a problem during a network installation
and at run time, and of course kudzu could have a problem with it too.
Comment 3 andrew m. boardman 2002-09-21 01:49:23 EDT
FWIW, the eepro100 driver chokes under load with the built-in interface on the
IBM Intellistation 100 running kernel-2.4.18-5.  Device ID is:

02:08.0 Class 0200: 8086:2449 (rev 03)

Actually, we've known this for a long time (see any number of bug reports on
this topic), and we generally consider the eepro100 driver to be relatively
unfunctional.  What we *didn't* expect was to have /usr/share/hwdata/pcitable
changed to remove all references to the e100 driver, so that new installs get
the eepro100 driver where we used to get the e100 driver.  I know, I know, "the
eepro100 driver has a new maintainer and is considered stable", but that's very
much contrary to our experience.  Please revert the pcitable change!
Comment 4 Jeff Garzik 2002-10-25 14:42:04 EDT
This bug appears to be more of a general complaint against eepro100.  Which is
fine, but not specific enough.

Can the eepro100 problems be reproduced in stock 2.4.20-preXX kernel?
Red Hat 8.0 release kernel?

If so, please provide details.
Comment 5 Need Real Name 2002-11-29 13:34:21 EST
I also had problems with the eepro100. Although transmitting data was without
problems, receiving was really problematic, even on light load, eg. downloading
something from the internet. SSH sessions were working, though.ttcp testing was
not even possible for receiving data, i.e. ttcp -t -s was able to connect, but
didn't disconnect when ttcp -r -s was ^C'ed. Changing to the e100 driver solved
the problem.

Network card is:
02:0b.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100] (rev 10)
Comment 6 Jeff Garzik 2003-01-31 11:34:16 EST
The e100 driver from Intel is shipping with Red Hat, and will be made default in
the next release.  Users are recommended to manually change their drivers from
"eepro100" to "e100" to fix the reported problems, until the next community
release of Red Hat Linux.

Note You need to log in before you can comment on or make changes to this bug.